Page MenuHomePhabricator

Replicate page_assessments and page_assessments_projects tables on Labs
Closed, ResolvedPublic

Description

The two PageAssessments tables, page_assessments and page_assessments_projects, should be available on Labs. (They don't contain any private information.) Note that these tables currently only exist on testwiki, enwikivoyage, and enwiki.

Details

Related Gerrit Patches:

Event Timeline

kaldari created this task.Nov 16 2016, 8:13 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2016, 8:13 AM

Note: I checked the tables on enwiki and they are present in labs (ie: labsdb1003) already, but they do not have a view (they are not in enwiki_p)

Apparently, they are already being replicated, but need to be added to the maintain-views config in the puppet repo in order to be accessible.

See modules/role/templates/labsdb/maintain-views.yaml and modules/role/files/labsdb/maintain-views.py.

Change 321845 had a related patch set uploaded (by Kaldari):
Adding views for two PageAssessments tables for Labs

https://gerrit.wikimedia.org/r/321845

I'm not sure how to know this is OK to expose. Is there anywhere that someone from security/research/legal has said "sure let's expose this to the public"?

@dpatrick: Any chance you could OK replicating this data to Tool Labs? The data in these tables is already exposed by API, so it's public regardless of whether it's on Tool Labs or not. Neither table includes any user-related data, just data about articles that is already public via the article WikiText and history. See https://www.mediawiki.org/wiki/Extension:PageAssessments for more info.

once @dpatrick gives this a once over you can assign to me and I'll knock it out

dpatrick added a subscriber: Bawolff.

@Bawolff, can you take a look at this?

Bawolff assigned this task to chasemp.Nov 23 2016, 8:13 PM

This looks fine. +1 from security.

Change 321845 merged by Rush:
Adding views for two PageAssessments tables for Labs

https://gerrit.wikimedia.org/r/321845

chasemp closed this task as Resolved.Nov 28 2016, 3:20 PM

This has been created. (let me know otherwise)